Skip to main content
`Ctrl`+`K`

# PetscViewerBinarySetFlowControl

Sets how many messages are allowed to be outstanding at the same time during parallel IO reads/writes

## Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerBinarySetFlowControl(PetscViewer viewer, PetscInt fc)

Not Collective

## Input Parameters

- viewer - `PetscViewer` context, obtained from `PetscViewerBinaryOpen()`

- fc - the number of messages, defaults to 256 if this function was not called

## See Also

Viewers: Looking at PETSc Objects, `PETSCVIEWERBINARY`, `PetscViewerBinaryOpen()`, `PetscViewerBinaryGetInfoPointer()`, `PetscViewerBinaryGetFlowControl()`

## Level

advanced

## Location

src/sys/classes/viewer/impls/binary/binv.c

## Examples

src/vec/vec/tutorials/ex10.c

## Implementations

PetscViewerBinarySetFlowControl_Binary() in src/sys/classes/viewer/impls/binary/binv.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages